import { axios } from '@/utils/request'

//  经销商产品 列表  分页  （自建产品）
export const dealerProductList = (params) => {
  const url = `/dealerProduct/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('经销商产品列表（自建产品）')
    }
  })
}

//  散件入库 列表  分页  （自建产品）
export const bulkProductList = (params) => {
  const url = `/dealerProduct/queryPageForSparePartsPur/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('散件入库列表（自建产品）')
    }
  })
}

// 新增/编辑 经销商产品
export const dealerProductSave = params => {
  return axios({
    url: '/dealerProduct/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(!params.id ? '新增' : '编辑')
    }
  })
}

// 经销商产品 更改状态
export const dealerProductUpdate = params => {
  return axios({
    url: '/dealerProduct/updateStatus',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(params.enabledFlag == 1 ? '启用' : '禁用')
    }
  })
}

// 经销商产品 导出
export const dealerProductExport = params => {
  return axios({
    url: '/dealerProduct/export',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('经销商产品导出')
    }
  })
}

//  经销商产品  详情
export const dealerProductDetail = (params) => {
  return axios({
    url: `/dealerProduct/findById/${params.id}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('经销商产品详情')
    }
  })
}
//  赠品 列表  分页
export const giftsDetailList = (params) => {
  const url = `/giftsDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  产品定价 列表  分页
export const dealerProductPriceList = (params) => {
  const url = `/dealerProduct/queryPageForSalesOffer/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 产品信息管理（自建） 确定导入
export const importRightListProduct = (params) => {
  return axios({
    url: '/dealerProduct/importRightListProduct',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('产品信息管理（自建）确定导入')
    }
  })
}

// 产品信息管理（自建） 导出错误项
export const dealerProductExportError = params => {
  return axios({
    url: '/dealerProduct/exportImportError',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('自建产品导入错误项')
    }
  })
}
