import { axios } from '@/utils/request'

//  箭冠 产品 列表  分页  采购
export const productListPurchase = (params) => {
  const url = `/dealerProduct/queryPageForPurchase/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 经销商产品 更改状态
export const productUpdate = params => {
  return axios({
    url: '/product/updateEnable',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(params.enabledFlag == '1' ? '启用' : '禁用')
    }
  })
}
//  箭冠 产品 列表  分页
export const productList = (params) => {
  const url = `/product/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
export const productLogList = (params) => {
  const url = `/productLog/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 查询最近上下线产品
export const queryNewProductPage = (params) => {
  const url = `/product/queryNewProductPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('最近上下线产品列表查询')
    }
  })
}
// 产品详情
export const productDetail = (params) => {
  const url = `/product/findBySn/${params.sn}`
  return axios({
    url: url,
    method: 'get',
    headers: {
      'module': encodeURIComponent('产品详情')
    }
  })
}
//  产品  价格变更记录  列表  分页
export const productPriceChangeList = (params) => {
  const url = `/product/priceChange/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  查找当前经销商信息
export const getCurrentDealer = (params) => {
  return axios({
    url: `/dealer/findCurrentDealer`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('经销商信息')
    }
  })
}
// 产品上线信息  导出
export const productExport = params => {
  return axios.request({
    url: `/productLog/export`,
    method: 'post',
    data: params,
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 自定义报价
export const settingPrice = params => {
  return axios({
    url: '/product/settingPrice',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('自定义报价')
    }
  })
}
// 产品信息（箭冠）列表导出
export const productExportPrice = params => {
  return axios.request({
    url: `/product/exportPrice`,
    method: 'post',
    data: params,
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 产品信息（箭冠）获取导入数据
export const productImportPrice = params => {
  return axios({
    url: '/product/importPrice',
    data: params,
    method: 'post'
  })
}
// 产品信息（箭冠）导入
export const productImportPriceInsertBatch = (params) => {
  return axios({
    url: '/product/importPrice/insertBatch',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('确认导入')
    }
  })
}
// 导出错误项
export const productExportError = (params) => {
  return axios({
    url: '/product/importPrice/exportError',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出错误项')
    }
  })
}
